---
{%- from "fd/map.jinja" import fd with context %}
fd-archive-extract:
  archive.extracted:
    - name: {{ fd.release_dir }}/fd-{{ fd.version }}
    - source: {{ fd.mirror }}/v{{ fd.version }}/fd_v{{ fd.version }}-{{ fd.arch }}-unknown-{{ fd.os|lower }}-musl.tar.gz
    - skip_verify: true
    - enforce_toplevel: false
    - if_missing: {{ fd.release_dir }}/fd-v{{ fd.version }}/fd

fd-binary-symlink:
  file.symlink:
    - name: /usr/local/bin/fd
    - target: {{ fd.release_dir }}/fd-v{{ fd.version }}-{{ fd.os }}-{{ fd.arch }}/fd
    - force: true
    - require:
      - archive: fd-archive-extract

fd-cleanup:
  software.cleanup:
    - name: fd
    - path: {{ fd.release_dir }}
    - version: "v{{ fd.version }}"
